import request from '@/utils/request'

// 查询跳转图标菜单列表
export function listAppletIcon(query) {
  return request({
    url: '/model/AppletIcon/list',
    method: 'get',
    params: query
  })
}

// 查询跳转图标菜单详细
export function getAppletIcon(id) {
  return request({
    url: '/model/AppletIcon/' + id,
    method: 'get'
  })
}

// 新增跳转图标菜单
export function addAppletIcon(data) {
  return request({
    url: '/model/AppletIcon',
    method: 'post',
    data: data
  })
}

// 修改跳转图标菜单
export function updateAppletIcon(data) {
  return request({
    url: '/model/AppletIcon',
    method: 'put',
    data: data
  })
}

// 删除跳转图标菜单
export function delAppletIcon(id) {
  return request({
    url: '/model/AppletIcon/' + id,
    method: 'delete'
  })
}
